import java.nio.file.*;

public class Sample {
  public static void fetch(int index, String filePath) {
    try {
      System.out.println(index + "--enter--" + Thread.currentThread());
      System.out.println(Files.lines(Paths.get(filePath)).count());
      System.out.println(index + "--exit--" + Thread.currentThread());
    } catch(Exception ex) {
      System.out.println(index + "--catch--" + Thread.currentThread());
    } finally {
      System.out.println(index + "--finally--" + Thread.currentThread());
    }
  }

  public static void main(String[] args) throws Exception {
    int MAX = 10;

    for(var i = 0; i < MAX; i++) {
      var index = i;
      //new Thread(() -> fetch(index, "Sample.java")).start();
      Thread.startVirtualThread(() -> fetch(index, "Sample.java"));
    }

    Thread.sleep(5000);
  }
}









