import kotlinx.coroutines.*

suspend fun task1() {
  println("entering task1 with ${Thread.currentThread()}")
  yield()
  println("exiting task1 with ${Thread.currentThread()}")
}

suspend fun task2() {
  println("entering task2 with ${Thread.currentThread()}")
  yield()
  println("exiting task2 with ${Thread.currentThread()}")
}

runBlocking {
  println("calling two tasks ${Thread.currentThread()}")
  launch { task1() }
  launch { task2() }
  println("called two tasks ${Thread.currentThread()}")
}

